### Class

# Pos InputMethod

#### Description [src]

    final class Pos.InputMethod : GObject.Object
    {
      /* No available fields */
    }

A Wayland input method handler. This wraps the zwp_input_method_v2 protocol easing things like double buffering state.

The properties reflect applied state which is only updated when the input method receives the `done` event form the compositor.

#### Ancestors

- GObject

#### Constructors

###### pos_input_method_new

No description available.

#### Instance methods

###### pos_input_method_commit

Sends a `commit` request to the compositor so that any pending `commit_string`, `set_preedit_string` and `delete_surrounding_text`. changes get applied.

###### pos_input_method_delete_surrounding_text

This deletes text around the cursor using the `delete_surrounding_text` request.

###### pos_input_method_get_active

No description available.

###### pos_input_method_get_hint

No description available.

###### pos_input_method_get_purpose

No description available.

###### pos_input_method_get_serial

No description available.

###### pos_input_method_get_surrounding_text

No description available.

###### pos_input_method_get_text_change_cause

No description available.

###### pos_input_method_send_preedit

This sends the given text via a `set_preedit_string` request.

###### pos_input_method_send_string

This sends the given text via a `commit_string` request.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Pos.InputMethod:active

Whether the input method is active. See activate/deactivate in input-method-unstable-v2.xml.

###### Pos.InputMethod:hint

The applied input hint.

###### Pos.InputMethod:manager

A zwp_input_method_v2_manager.

###### Pos.InputMethod:purpose

The applied input purpose.

###### Pos.InputMethod:seat

A wl_seat.

###### Pos.InputMethod:surrounding-text

No description available.

###### Pos.InputMethod:text-change-cause

The applied text change cause.

#### Signals

###### Pos.InputMethod::done

The done signal is sent when the state changes sent by the compositor should be applied. The `active`, `surrounding-text`, `text-change-cause`, `purpose` and `hint` properties are then guaranteed to have the values sent by the compositor.

###### Pos.InputMethod::pending-changed

The pending state changed. Tracking pending state changes is only useful for debugging as only `applied` state matters for the OSK.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct PosInputMethodClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.